/**** 定义json与调用 ****/
//var jsonobj = JSON.parse("{\"title\": \"有奖征集，“清明微家书”纸短情长遥寄哀思\",\"publishtime\": \"2019-03-26 09:51:46\",\"startTime\": \"2019-03-25 00:00:00\",\"endTime\": \"2019-04-04 23:59:59\",\"count\": \"2\",\"countLimited\": \"1000\",\"a_status\": \"1\",\"countDiscuss\": \"0\",\"countPraise\": \"0\",\"siteId\": \"1\",\"id\": \"68\",\"content\": \"有奖征集：①清明微家书②清明老照片③清明新诗词等。\",\"lib_id\": \"61\",\"otherInfo\": \"<p><span style='text-align: justify;'>清明节是表达对先烈、先贤、先人敬意，寄托哀思的日子，大众日报·新锐大众客户端现面向读者用户有奖征集：①清明微家书②清明老照片③清明新诗词等。</span></p><p style='box-sizing: border-box; margin-bottom: 10px; text-align: justify; white-space: normal;'><span style='box-sizing: border-box; color: rgb(0, 176, 80);'><span style='box-sizing: border-box; font-weight: 700;'>请将您的作品及手机号码发送至电子邮箱<span style='box-sizing: border-box; color: rgb(0, 112, 192);'>xinruidazhong@126.com</span>。有奖征集活动<span style='box-sizing: border-box; color: rgb(0, 112, 192);'>截止到4月3日</span>。作品一经大众日报·新锐大众客户端采用，您<span style='box-sizing: border-box; color: rgb(0, 112, 192);'>将</span><span style='box-sizing: border-box; color: rgb(0, 112, 192);'>获得为期一个月的腾讯视频VIP会员资格</span>。</span></span></p><p style='box-sizing: border-box; margin-bottom: 10px; text-align: justify; white-space: normal;'>获奖名单将于清明节后在新锐大众客户端公布。感谢您的参与。</p>\",\"theShareUrl\": \"http://respub.xrdz.dzng.com/template/xrdz/activityPage.html?siteID=1&fileId=68\",\"theContentUrl\": \"http://phoneapi.xrdz.dzng.com/activity/activityDetail?siteID=1&fileId=68\",\"activityStatus\": \"活动结束\",\"articleType\": 102,\"attachments\": \"http://respub.xrdz.dzng.com/nis-pic/xy/201903/26/a43379d5-0000-4053-923a-29a68deadc9f.jpg\",\"version\": \"2019\",\"imageUrl\": \"http://respub.xrdz.dzng.com/nis-pic/xy/201903/26/a43379d5-0000-4053-923a-29a68deadc9f.jpg\",\"headimgurl\": \"http://respub.xrdz.dzng.com/nis-pic/xy/201903/26/a43379d5-0000-4053-923a-29a68deadc9f.jpg\",\"publishname\":\"大鲤鱼儿\",\"address\":\"济南市千佛山\"}");
//loadInfo(jsonobj);
/**** 加载 ****/
function loadInfo(jsonobj){
	//console.log(JSON.stringify(jsonobj));
	var title = jsonobj.title; //标题
	var headimgurl = jsonobj.headimgurl; //头像-dmx自定义
	var publishname = jsonobj.publishname; //发布人-dmx-自定义
	var publishtime = jsonobj.publishtime.substring(0, 10); //发布时间
	var imageUrl = jsonobj.imageUrl; //大图
	var startTime = jsonobj.startTime.substring(5, 16); //开始时间
	var endTime = jsonobj.endTime.substring(5, 16); //结束时间
	var countLimited = jsonobj.countLimited; //报名人数
	var address = jsonobj.address; //活动地点
	address = address?address:"未知";
	var content = jsonobj.content;
	var otherInfo = jsonobj.otherInfo;
	
	$("#title").text(title);
	if(headimgurl!=""){
	    $("#pub_head").html("<img src='"+headimgurl+"'/>");
	}
	$("#pub_name").text(publishname);
	$("#pub_time").html(publishtime+"&nbsp;发布");
	$("#banner").html("<img src='image/default.jpg' onload=\"loadImg(this, '"+imageUrl+"')\"/>");
	$("#bmsj span").text("报名时间："+startTime+"--"+endTime);
	 $("#hddd span").text("活动地点："+address);
	$("#bmrs span").text("活动名额："+countLimited);
	$("#content").html(otherInfo);
} 
//加载图片
function loadImg(obj, osrc){
    if(obj.src.indexOf("image/default.jpg") > 0){
        dsBridge.call("downLoadPic",osrc, function (v) {
                                    obj.src = v;
                        })
    }
}


dsBridge.register('loadInfo', function (data) {
        var jsonobj = JSON.parse(data);
        loadInfo(jsonobj);
})